GET /outgoing_webhooks

Authorization Required
https://[your-subdomain].trackdrive.com/api/v1/outgoing_webhooks

List webhooks

List the outgoing webhooks (postbacks) configured in your account, with filters for the offer, buyer, schedule action, or trigger type they are attached to.

Params

Param name Description
offer_id
Optional

Filter for webhooks that are assigned to this Offer.

buyer_id
Optional

Filter for webhooks that are assigned to this Buyer.

schedule_action_id
Optional

Filter for webhooks that are assigned to this Schedule Action.

trigger_type
Optional

When does this trigger fire?

  • Must be one of: agent_enter_conference, agent_exit_conference, agent_offline, agent_online, before_answering_call, before_placing_call, before_schedule_action_dial, before_sending_text_message, both_converted, buyer_answered, buyer_answered_with_contact_fields, buyer_before_dial, buyer_converted, buyer_dialled, buyer_did_not_convert, buyer_enter_conference, buyer_exit_conference, call_changed, call_disposition_changed, call_recording_updated, call_recording_updated_call_ended, consumer_enter_conference, consumer_exit_conference, contact_fields_changed, did_not_convert, either_converted, every_call, lead_changed, lead_opted_out, new_call_started, new_lead_created, offer_converted, offer_did_not_convert, only_buyer_converted, only_offer_converted, timer.

ids
Optional

Return records matching these ids.

  • Must be an array of decimal values. EG: [0, 1, 2, 3]

page
Optional

Return the next page of results.

  • Must be a number.

per_page
Optional

How many results to return per page. The default is 25.

  • Must be a number.

created_at_to
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

created_at_from
Optional

Date formatted like 2016-01-01 12:25:15 -0500

  • Must be a String

fulltext
Optional

Search for any record that matches this text

  • Must be a String

time_zone
Optional

Date ranges will be parsed using this time zone.

columns
Optional
Specify the columns you would like returned by the API for a given resource. Limiting the columns can significantly increase API response time since only the requested data will be processed. columns=uuid,number,created_at

Must be any combination of:

  • id
  • legacy_id
  • type
  • uuid
  • created_at
  • updated_at
  • deleted_at
  • user_updated_at
  • routes_show_path
  • routes_edit_path
  • external_record_id
  • name
  • context_menu_name
  • trigger_type
  • trigger_duration
  • tier
  • company_id
  • offer_id
  • offer_name
  • schedule_action_id
  • sortable_order
  • outgoing_url_ids
  • token_value_map_ids
  • buyer_id
  • traffic_source_id
  • buyer_group_id
  • call_router_id
  • global_company_id
  • buyer_name
  • traffic_source_name
  • buyer_group_name
  • trigger_call_status
  • cache_success_for_seconds
  • webhook_body_success_path
  • webhook_body_success_match
  • webhook_body_success_operator
  • webhook_path_number
  • connected_duration_seconds
  • webhook_path_duration
  • webhook_path_name
  • webhook_path_revenue
  • webhook_response_success_codes
  • webhook_path_buyer_name
  • webhook_path_external_id
  • buyer_answered_with_contact_field_ids
  • webhook_contains_many_buyers
  • webhook_path_buyers
  • template_description
  • template_enabled
  • template_tier
  • template_copy_on_company_create
  • call_router_answer_id
  • schedule_id
  • webhook_action_ids
  • token_value_map_group_ids
  • record_token_filter_id
  • record_token_filter_data_count
  • record_token_filter_data
  • record_token_additional_id
  • record_token_additional_data_count
  • record_token_additional_data
  • webhook_manual_fire_ids
  • Must be a String

root
Optional

Pass root=false to return results without a root node and metadata.
For example:
GET /api/v1/calls?root=false will return [call1, call2, call3]
While:
GET /api/v1/calls will return {calls: [call1, call2, call3], metadata: {}}

  • Must be a boolean value: 1, true, yes, on, 0, false, no, off